package gus05.entity.gus.app.action.about.darkpanel2;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Graphic;
import gus05.framework.resources.StringProvider;

import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.JLabel;

import java.util.Map;



public class AboutDarkPanel2 implements Entity, Graphic {


    public String getName()				{return "gus.app.action.about.darkpanel2";}
    public String getCreationDate()		{return "2009.02.03";}


    private Service buildWebLabel;
    private Service buildMailLabel;
    
    private Map prop;
    private StringProvider sp;
    
    private Icon gus05Icon;
    private Icon appIcon;
    private String managerID;
    
    private AboutPanel panel;
    private JLabel labelWeb;
    private JLabel labelMail;



    public AboutDarkPanel2() throws Exception
    {
    	buildWebLabel = Outside.service(this,"gus.graphic.label.building.weblabel");
    	buildMailLabel = Outside.service(this,"gus.graphic.label.building.maillabel");
    	
    	prop = (Map) Outside.resource(this,"app.prop.map");
    	sp = (StringProvider) Outside.resource(this,"app.lingstring");
    	managerID = (String) Outside.resource(this,"app.managerid");
        gus05Icon = (Icon) Outside.resource(this,"icon#gus05_big");
        appIcon = (Icon) Outside.resource(this,"appIcon_big");
        
        labelWeb = (JLabel) buildWebLabel.gui();
        labelMail = (JLabel) buildMailLabel.gui();
        
        panel = new AboutPanel(prop,sp,gus05Icon,appIcon,managerID,labelWeb,labelMail);
    }



    public JComponent gui()
    {return panel;}


}

