package gus05.entity.gus.app.action.about4;


import javax.swing.Action;
import javax.swing.JComponent;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Execute;
import gus05.framework.features.Provide;
import gus05.framework.resources.ActionBuilder;



public class AppActionAbout4 implements Entity, Provide, Execute {


    public String getName()				{return "gus.app.action.about4";}
    public String getCreationDate()		{return "2008.08.19";}

    
    
    private Service aboutPanel;
    private Service popup;
    
    private ActionBuilder actionBuilder;
    private Action aboutAction;
    
    

    public AppActionAbout4() throws Exception
    {
    	aboutPanel = Outside.service(this,"gus.app.action.about.darkpanel1");
    	popup = Outside.service(this,"gus.graphic.dialog.popup1");
        actionBuilder = (ActionBuilder) Outside.resource(this,"app.actionbuilder");
        
        aboutAction = actionBuilder.build("about",this);
    }



    public Object provide() throws Exception
    {return aboutAction;}
    
    
    
    public void execute() throws Exception
    {
    	JComponent comp = aboutPanel.gui();
		popup.give(comp);
    }
}

