package gus05.entity.gus.file.convert.csv.generator;

import gus05.framework.core.Entity;
import gus05.framework.features.Retrieve;
import gus05.framework.features.Transform;




public class CsvGenerator implements Entity, Transform, Retrieve
{

    public String getName()				{return "gus.file.convert.csv.generator";}
    public String getCreationDate()		{return "2006.07.15";}
    
    public static String STRING_DELIM = ";";
    
    
    
    public Object transform(Object obj) throws Exception
    {
        String[][] table = (String[][])obj;
        StringBuffer b = new StringBuffer();
        
        int x = table.length;
        if(x==0)return "";
        int y = table[0].length;
        if(y==0)return "";
        
          
        for(int i=0;i<x;i++)
        for(int j=0;j<y;j++)
        {
            String value = formatValue(table[i][j]);
            if(j==y-1)b.append(value+"\n");
            else b.append(value+STRING_DELIM);
        }
        return b.toString();
    }
    
    
    
    
    public String formatValue(String value)
    {
        if(value.contains("\"") || value.contains("\n") || value.contains(STRING_DELIM))
        {
            value = value.replace("\"","\"\"");
            return "\""+value+"\"";
        }
        return value;
    }
    
    
    
    
    
    
    
    public Object retrieve(String key) throws Exception
    {    
        if(key.equals("help")) return help();
        throw new Exception("Unknown key: "+key);
    }
    
    
    private String help()
    {
        StringBuffer b = new StringBuffer("Aide pour CVS GENERATOR\n\n");
        b.append("Generator de format CVS qui gnre un String  partir d'un String[][]\n");
        return b.toString();
    }
}
