package gus05.entity.gus.file.editing.editorholder3.supportedtypepanel;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Graphic;

import javax.swing.JComponent;
import javax.swing.JPanel;
import java.awt.BorderLayout;
import java.util.Map;



public class SupportedTypePanel implements Entity, Graphic {


    public String getName()				{return "gus.file.editing.editorholder3.supportedtypepanel";}
    public String getCreationDate()		{return "2009.12.04";}


    private Service editorHolder;
    private Service form;
    
    private Map infoMap;
    private JPanel panel;




    public SupportedTypePanel() throws Exception
    {
    	editorHolder = Outside.service(this,"gus.file.editing.editorholder3");
    	form = Outside.service(this,"gus.collection.map.form2.n");
    	
    	infoMap = (Map) editorHolder.retrieve("editorInfos");
        panel = (JPanel) form.transform(infoMap);
    }



    public JComponent gui()
    {return panel;}


}

