
package gus05.entity.gus.file.editor.bmp.editor1;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Give;
import gus05.framework.features.Graphic;
import gus05.framework.features.Register;
import gus05.framework.tools.DefaultSupport;

import java.awt.BorderLayout;
import java.awt.Image;
import java.io.File;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;



/**
* @author gus
*/
public class BmpEditor1 extends DefaultSupport implements Entity, Graphic, Give, Register
{

    public String getName()				{return "gus.file.editor.bmp.editor1";}
    public String getCreationDate()		{return "2006.07.15";}
    

    private Service screen;
    private Service bmpReader;
    
    private JPanel panel;
    private JLabel infoLabel;
    


    
    
    public BmpEditor1() throws Exception
    {
        screen = Outside.service(this,"gus.graphic.panel.screen.image");
        bmpReader = Outside.service(this,"gus.file.read.bmp");
        
        infoLabel = new JLabel(" ");
        
        panel = new JPanel(new BorderLayout());
        panel.add(screen.gui(),BorderLayout.CENTER);
        panel.add(infoLabel,BorderLayout.SOUTH);
    }






    public JComponent gui()
    {return panel;}

    


    public void give(Object obj) throws Exception
    {
        File file = (File)obj;
        
        Image image = (Image) bmpReader.transform(file);
        String info = (String) bmpReader.retrieve("info");
        
        infoLabel.setText(info);
        screen.give(image);
    }
    
    
    

    public void register(String key, Object obj) throws Exception {
    }
    
    
    
}
