package gus05.entity.gus.file.editor.classe.editor2;


import java.io.File;

import gus05.framework.core.Entity;
import gus05.framework.features.Give;
import gus05.framework.features.Graphic;
import gus05.framework.features.Register;
import gus05.framework.tools.DefaultSupport;

import javax.swing.JComponent;
import javax.swing.JTextArea;



public class ClasseEditor2 extends DefaultSupport implements Entity, Give, Graphic, Register {


    public String getName()				{return "gus.file.editor.classe.editor2";}
    public String getCreationDate()		{return "2007.04.26";}



    
    private JTextArea area;
    private ClassFileParser parser;
    private File file;

    
    public ClasseEditor2() throws Exception
    {
        area = new JTextArea();
        parser = new ClassFileParser(area);
    }



    public void give(Object obj) throws Exception
    {
        file = (File) obj;
        parser.parse(file);
    }


  

    public JComponent gui()
    {return area;}



    public void register(String key, Object obj) throws Exception
    {
        throw new Exception("Unknown key: "+key);
    }


    
  
}

