package gus05.entity.gus.file.read.bmp;


import java.io.File;
import gus05.framework.core.Entity;
import gus05.framework.features.Retrieve;
import gus05.framework.features.Transform;



public class FileReadBmp implements Entity, Transform, Retrieve {


    public String getName()				{return "gus.file.read.bmp";}
    public String getCreationDate()		{return "2007.08.06";}


    private BmpBuilder_2 builder;
    

    public Object transform(Object obj) throws Exception
    {
        File file = (File)obj;
        builder = new BmpBuilder_2(file);
        return builder.image;
    }
    
    
    
    
    public Object retrieve(String key) throws Exception
    {
        if(builder==null) throw new Exception("No bmp has been built yet");
        if(key.equals("info")) return builder.toString();
        if(key.equals("palette")) return builder.npalette;

        throw new Exception("Unknown key: "+key);
    }


}

