/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.graphic.persistence.persistence1;


import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.io.File;

import gus05.framework.core.Service;

import javax.swing.JFileChooser;


/**
 * @author user
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
class Persistence_JFileChooser implements PropertyChangeListener {

    
    private JFileChooser fileChooser;
    private String key;
    private Service pers;
        
    
    
    public Persistence_JFileChooser(Service pers, String key, JFileChooser fileChooser) throws Exception
    {
        this.fileChooser = fileChooser;
        this.key = key;
        this.pers = pers;
        
        String value = (String)pers.retrieve(key);
        if(value!=null)
        {
            File file = new File(value);
            File parent = file.getParentFile();
            if(parent!=null)
            fileChooser.setCurrentDirectory(parent);
            
        }
        fileChooser.addPropertyChangeListener(JFileChooser.SELECTED_FILE_CHANGED_PROPERTY,this);
    }





    public void propertyChange(PropertyChangeEvent evt)
    {
        try
        {
            File file = fileChooser.getSelectedFile();
            String value = file==null?null:file.getAbsolutePath();
            pers.register(key,value);
        }
        catch(Exception e){}
    }


    
    
}
