
package gus05.entity.gus.graphic.persistence.positions1;

import java.awt.Component;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Register;



public class PersistencePositions1 implements Entity, Register {

    public String getName()				{return "gus.graphic.persistence.positions1";}
    public String getCreationDate()		{return "2008.11.15";}

    
    
    private Service pers;
    
    public PersistencePositions1() throws Exception
    {
        pers = Outside.service(this,"app.pers");
    }

	
	
	
    public void register(String key, Object obj) throws Exception
    {
        if(obj instanceof Component)
        {
        	Component comp = (Component)obj;
        	new PersistenceHolder(pers,key,comp);
        	return;
        }
        throw new Exception("Invalid type: "+obj.getClass().getName());
    }
}
