package gus05.entity.gus.graphic.textcomp.build.barcopypasteclear;


import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.text.JTextComponent;

import gus05.framework.core.Entity;
import gus05.framework.features.Transform;



public class BarCopyPastClear implements Entity, Transform {


    public String getName()				{return "gus.graphic.textcomp.build.barcopypasteclear";}
    public String getCreationDate()		{return "2009.01.28";}


    private static OvalBorder border = new OvalBorder();


    public Object transform(Object obj) throws Exception
    {
    	JTextComponent comp = (JTextComponent)obj;
        return new JPanel0(comp);
    }

    
    
    
    
    private class JPanel0 extends JPanel
    {
    	private JTextComponent comp;
    	
    	public JPanel0(JTextComponent comp_)
    	{
    		super(new GridLayout(1,3,3,3));
    		this.comp = comp_;
    		
    		JButton b1 = new JButton("Copy text");
    		b1.setBorder(border);
    		b1.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent e)
				{
					comp.selectAll();
					comp.copy();
					comp.select(0,0);
				}
			});
    		JButton b2 = new JButton("Past text");
    		b2.setBorder(border);
    		b2.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent e)
				{
					comp.selectAll();
					comp.paste();
				}
			});
    		JButton b3 = new JButton("Clear text");
    		b3.setBorder(border);
    		b3.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent e)
				{
					comp.setText("");
				}
			});
    		add(b1);
    		add(b2);
    		add(b3);
    	}
    }

}

