package gus05.entity.gus.web.download.filedownloader.monitor.dialog1.auth1.demo;

import gus05.framework.core.Outside;
import gus05.framework.core.Service;



import gus05.framework.core.Entity;
import gus05.framework.features.Graphic;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.JTextField;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.net.URL;



public class FileDownloaderDialog1Auth1Demo implements Entity, Graphic, ActionListener {


    public String getName()				{return "gus.web.download.filedownloader.monitor.dialog1.auth1.demo";}
    public String getCreationDate()		{return "2009.01.30";}


    private Service dialog1;
    private Service urlTextField;
    private Service output_fileLabel;
    private Service form;
    

    private JPanel panel;
    private JTextField field_login;
    private JTextField field_password;
    private JButton button;



    public FileDownloaderDialog1Auth1Demo() throws Exception
    {
        dialog1 = Outside.service(this,"gus.web.download.filedownloader.monitor.dialog1.auth1");
        urlTextField = Outside.service(this,"gus.web.url.textfield1");
        output_fileLabel = Outside.service(this,"gus.file.label.load.filelabel");
        form = Outside.service(this,"gus.graphic.panel.form1");
        
        field_login = new JTextField();
        field_password = new JTextField();
        
        form.register(" url: ",urlTextField.gui());
        form.register(" file: ",output_fileLabel.gui());
        form.register(" login: ",field_login);
        form.register(" password: ",field_password);
        
        button = new JButton("start");
        button.addActionListener(this);
        
        panel = new JPanel(new BorderLayout());
        panel.add(form.gui(),BorderLayout.CENTER);
        panel.add(button,BorderLayout.SOUTH);
    }



    public JComponent gui()
    {return panel;}
    
    
	public void actionPerformed(ActionEvent e)
	{startDownload();}
	
	
	private void startDownload()
	{
		try
		{
			File file = (File) output_fileLabel.provide();
            URL url = (URL) urlTextField.provide();
            String login = field_login.getText();
            String password = field_password.getText();
            
            dialog1.register("file",file);
            dialog1.register("url",url);
            dialog1.register("login",login);
            dialog1.register("password",password);
            dialog1.execute();
		}
		catch(Exception e)
		{Outside.err(this,"startDownload()",e);}
	}


}

