package gus05.manager.gus.endorf.layer4.providers.data;

import java.util.Map;

import gus05.framework.features.Provide;
import gus05.framework.features.Register;
import gus05.framework.features.Retrieve;
import gus05.manager.gus.endorf.layer1.Source;
import gus05.manager.gus.endorf.layer1.organs.ResourceProvider;
import gus05.manager.gus.endorf.layer4.system2.System2;

public class ResourceProvider_data_map_wrapping implements ResourceProvider {

    public Object provideResource(Source source, String key) throws Exception
    {
        if(key.equals("pool")) key = key+"."+source;
        String dataID = System2.RESOURCEPROVIDER_DATAMAP+"#"+key;
        Map m = (Map) System2.getData(dataID);
        return new MapWrapping(m);
    }
    
    
    private class MapWrapping implements Retrieve, Register, Provide
    {
        private Map m;
        public MapWrapping(Map m)
        {this.m = m;}
        
        public Object retrieve(String key) throws Exception {return m.get(key);}
        public void register(String key, Object obj) throws Exception {m.put(key,obj);}
        public Object provide() throws Exception {return m;}
    }
}
