package gus05.entity.gus.app.find.convert2;



import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Transform;



public class Convert2 implements Entity, Transform {


    public String getName()				{return "gus.app.find.convert2";}
    public String getCreationDate()		{return "2007.02.05";}

    
    
    private Service findBorder;
    private Service findColor;
    private Service findFont;
    private Service findIcon;
    
    
    public Convert2() throws Exception
    {
        findBorder = Outside.service(this,"gus.app.find.findborder");
        findColor = Outside.service(this,"gus.app.find.findcolor");
        findFont = Outside.service(this,"gus.app.find.findfont");
        findIcon = Outside.service(this,"gus.app.find.findicon");
    }
    

    public Object transform(Object obj) throws Exception
    {
        String text = (String)obj;
        String[] n = text.split("#",2);
        
        if(n[0].equals("border")) return findBorder.transform(n[1]);
        if(n[0].equals("color")) return findColor.transform(n[1]);
        if(n[0].equals("font")) return findFont.transform(n[1]);
        if(n[0].equals("icon")) return findIcon.transform(n[1]);
        
        throw new Exception("Unknown type: "+n[0]);
    }
    
    
    

}

