package gus05.entity.gus.app.watchrelease.downloadfile;


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Give;
import gus05.framework.features.Provide;



public class DownloadFile implements Entity, Give, Provide, ActionListener {


    public String getName()				{return "gus.app.watchrelease.downloadfile";}
    public String getCreationDate()		{return "2009.02.15";}


    private Service getInfos;
    private Service getFile;
    
    private File storeDir;
    private File file;
    
    
    private boolean over = false;
    
    

    public DownloadFile() throws Exception
    {
    	getInfos = Outside.service(this,"gus.app.watchrelease.infos");
    	getFile = Outside.service(this,"gus.website.restrict.getfile1");
    	
    	storeDir = (File) Outside.resource(this,"storeDir");
    	getFile.addActionListener(this);
    }


    

    public void give(Object obj) throws Exception
    {
    	file = null;
    	String[] n1 = (String[]) obj;
    	if(n1.length!=2) throw new Exception("Wrong number for release infos: "+n1.length);
    	
    	String infos = (String) getInfos.provide();
    	String[] n2 = infos.split("\n");
    	if(n2.length!=3) throw new Exception("Wrong number for connexion infos: "+n2.length);
    	
    	getFile.register("place",n2[0]);
		getFile.register("userName",n2[1]);
		getFile.register("password",n2[2]);
		
		getFile.register("timeStamp",n1[0]);
		getFile.register("fileName",n1[1]);
		
		over = false;
		File f = new File(storeDir,n1[1]);
		getFile.give(f);
		while(!over) {Thread.yield();}
		
		file = f;
    }

    
    public Object provide() throws Exception
	{return file;}
    
    
    
    public void actionPerformed(ActionEvent e)
	{
		String s = e.getActionCommand();
		if(!s.equals("downloadStarted()")) over = true;
	}
}

