package gus05.entity.gus.collection.map.form2.n;

import gus05.framework.features.Execute;

import java.util.Map;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;


public class FormJPanel extends JPanel implements Execute {

    
    private FormPanelModel model;

    public FormJPanel(Map map)
    {
        super();
        setBorder(new EmptyBorder(10, 10, 10, 10));
        setLayout(new FormLayout(20, 5)); 
        model = new FormPanelModel(this,map);
    }
    
    
    
    public void addLabel(String name, JComponent comp)
    {
        add(new JLabel(name));
        add(comp);
        revalidate();
    }
    
    
    public void insertLabelAt(int index ,String name, JComponent comp)
    {
        add(comp,index*2);
        add(new JLabel(name),index*2);
        revalidate();
    }
    
    
    public void removeLabelAt(int index)
    {
        remove(index*2);
        remove(index*2);
        revalidate();
    }
    
    
    public void clear()
    {
        removeAll();
        repaint();
    }


    public void execute() throws Exception
    {model.mapChanged();}
}
