package gus05.entity.gus.database.loaddriver;


import java.io.PrintStream;
import java.sql.Driver;
import java.sql.DriverManager;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Give;



public class LoadDriver implements Entity, Give {


    public String getName()				{return "gus.database.loaddriver";}
    public String getCreationDate()		{return "2009.02.18";}



    private PrintStream out;
    
    public LoadDriver() throws Exception
    {out = (PrintStream) Outside.resource(this,"out");}


    public void give(Object obj) throws Exception
    {
    	String path = (String) obj;
    	Class driverClass = Class.forName(path);
    	Driver driver = (Driver)driverClass.newInstance();
    	DriverManager.registerDriver(driver);
    	out.println("JDBC driver loaded: "+path);
    }
}

