/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.file.editor.jar.editor1;

import java.io.File;
import java.util.Enumeration;
import java.util.jar.JarEntry;
import java.util.jar.JarFile;

import javax.swing.JComponent;
import javax.swing.JTextArea;

import gus05.framework.core.Entity;
import gus05.framework.features.Give;
import gus05.framework.features.Graphic;
import gus05.framework.features.Register;
import gus05.framework.tools.DefaultSupport;

/**
* @author gus
*/
public class JarEditor1 extends DefaultSupport implements Entity, Graphic, Give, Register
{

    public String getName()				{return "gus.file.editor.jar.editor1";}
    public String getCreationDate()		{return "2006.07.15";}
    

    private JTextArea textArea;
    
    private JarFile jarFile;


    public JarEditor1()
    {
        textArea = new JTextArea();
        textArea.setEditable(false);
    }






    public JComponent gui()
    {return textArea;}

    
    


    public void give(Object obj) throws Exception
    {
        File file = (File)obj;
        jarFile = new JarFile(file,true,JarFile.OPEN_READ);
        
        StringBuffer b = new StringBuffer();
        Enumeration en = jarFile.entries();
        while(en.hasMoreElements())
        {
            JarEntry entry = (JarEntry)en.nextElement();
            b.append(entry.getName()+"\n");
        }
        textArea.setText(b.toString());
        jarFile.close();
    }
    
    
    public void register(String key, Object obj) throws Exception {
    }
}
