package gus05.entity.gus.file.explorer.editingexplorer1.demo2;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Graphic;

import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;



public class EditingExplorer1Demo2 implements Entity, Graphic {


    public String getName()				{return "gus.file.explorer.editingexplorer1.demo2";}
    public String getCreationDate()		{return "2006.10.04";}



    private Service explorer;
    private Service supportedTypePanel;
    private Service persistence;
    
    private JTabbedPane tab;
    
    public EditingExplorer1Demo2() throws Exception
    {
        explorer = Outside.service(this,"gus.file.explorer.editingexplorer1");
        supportedTypePanel = Outside.service(this,"gus.file.editing.editorholder3.supportedtypepanel");
        persistence = Outside.service(this,"gus.file.action.persistence1");
        persistence.register("EditingExplorer1Demo2_path",explorer);
        
        tab = new JTabbedPane();
        tab.addTab("File Explorer",explorer.gui());
        tab.addTab("Supported file types",supportedTypePanel.gui());
    }



    public JComponent gui()
    {return tab;}


}

