package gus05.entity.gus.file.read.info.messagedigest;

import java.io.File;
import java.io.FileInputStream;
import java.security.MessageDigest;

import gus05.framework.core.Entity;
import gus05.framework.features.Transform;


public class FileReadInfoMessageDigest implements Entity, Transform {


    public String getName()				{return "gus.file.read.info.messagedigest";}
    public String getCreationDate()		{return "2006.10.04";}

    
    private MessageDigest md;
    
    public FileReadInfoMessageDigest() throws Exception
    {
        md = MessageDigest.getInstance("MD5");
    }
    

    public Object transform(Object obj) throws Exception
    {
        File file = (File)obj;
        FileInputStream fis = new FileInputStream(file);
        
        byte[] buffer = new byte[8192];
        int length;
        
        md.reset();
        while((length=fis.read(buffer))!=-1)
        md.update(buffer, 0, length);
        
        fis.close();
        byte[] raw = md.digest();
        String base64 = new String(Base64Coder.encode(raw));
        return base64;
    }


}

