package gus05.entity.gus.graphic.dialog.popup1_size600;


import javax.swing.JComponent;
import javax.swing.JFrame;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Give;
import gus05.framework.tools.DefaultSupport;



public class DialogPopup1 extends DefaultSupport implements Entity, Give {


    public String getName()				{return "gus.graphic.dialog.popup1_size600";}
    public String getCreationDate()		{return "2008.12.10";}

    
    public static final int WIDTH = 600;
    
    
    private JFrame mainFrame;
    private Dialog1 dialog;
    
    

    public DialogPopup1() throws Exception
    {
    	mainFrame = (JFrame) Outside.resource(this,"app.gui.frame");
        dialog = new Dialog1(mainFrame,this);
    }

    
    public void give(Object obj) throws Exception
	{
    	if(obj==null)
    	{dialog.hideContent();return;}
    	
		JComponent content = (JComponent) obj;
		dialog.showContent(content, WIDTH);
	}
}

