package gus05.entity.gus.graphic.persistence.persistence1;



import gus05.framework.core.Service;
import javax.swing.JSpinner;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;


class Persistence_JSpinner implements ChangeListener {

    
    private JSpinner spinner;
    private String key;
    private Service pers;
        
    
    
    public Persistence_JSpinner(Service pers, String key, JSpinner spinner) throws Exception
    {
        this.spinner = spinner;
        this.key = key;
        this.pers = pers;
        
        String value = (String)pers.retrieve(key);
        if(value!=null) spinner.setValue(value);
        
        spinner.addChangeListener(this);
    }



    public void stateChanged(ChangeEvent evt)
    {
    	try
    	{
    		String value = (String) spinner.getValue();
    		pers.register(key,value);
    	}
    	catch(Exception e){}
    }
}
