package gus05.entity.gus.ling.lingstring1;


import java.util.regex.Matcher;
import java.util.regex.Pattern;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.resources.StringProvider;



public class LingString1 implements Entity, StringProvider {


    public String getName()				{return "gus.ling.lingstring1";}
    public String getCreationDate()		{return "2007.10.28";}


    private Pattern p = Pattern.compile("\\[([^\\]]+)\\]",Pattern.DOTALL);
    
    private StringProvider provider;
    
    private String ling(String text)
    {return provider.getString(text);}

    public LingString1() throws Exception
    {provider = (StringProvider) Outside.resource(this,"app.lingstring");}
    
    
    
    
    public String getString(String key)
    {
        if(!key.contains("[")) return ling(key);
        Matcher m = p.matcher(key);
        
        StringBuilder b = new StringBuilder();
        int previousEnd = 0;
        while(m.find())
        {
            String part1 = key.substring(previousEnd,m.start());
            b.append(part1);
            String part2 = ling(m.group(1));
            b.append(part2);
            previousEnd = m.end();
        }
        String last = key.substring(previousEnd,key.length());
        b.append(last);
        return b.toString();
    }


}

