package gus05.manager.gus.endorf.layer3.loading;

import gus05.manager.gus.endorf.layer3.system1.System1;
import gus05.manager.gus.endorf.layer3.tools.Tools_debug;


import java.util.Iterator;


public class Loader_urls extends Loader {

    
    
    public Loader_urls()
    {super("urls");}
    
    
    
    protected void outsideLoad() {}
    
    protected void insideLoad()
    {
        loadFromProperties();
    }
    
    
    
    
    
    
    
    
    
    private void loadFromProperties()
    {
        Iterator it = System1.properties.keySet().iterator();
        
        int n = 0;
        while(it.hasNext())
        {
            String key = (String)it.next();
            if(key.startsWith("url.")) {checkURL(key);n++;}  
        }
        debug("loadFromProperties()","load "+n+" urls from properties");
    }
    
    
    
    
    
    
    
    private void checkURL(String key)
    {
        System1.urlManager.checkURL(key);
        debug(key);
        increase();
    }
    
    
    
    private void debug(String key)
    {
        if(System1.booleanProperty_false(System1.PROPKEY_DEBUGURLS))
            Tools_debug.displayURL(key,System1.url(key));
    }
}
