package gus05.manager.gus.endorf.layer3.system1;

import gus05.manager.gus.endorf.layer3.tools.Tools_jar;

import java.io.File;

public class Class0 {

	private Class c;
	private String classpath;
	private File jarFile;
	
	private boolean failed = false;
	
	
	public Class0(String classpath)
	{this.classpath = classpath;}
	
	
	public Class0(File jarFile, String classpath)
	{
		this.classpath = classpath;
		this.jarFile = jarFile;
	}
	
	public Class get()
	{
		if(c==null) init();
		return c;
	}
	
	private void init()
	{
		try
		{
			if(jarFile==null) c = Class.forName(classpath);
			else c = Tools_jar.loadClass(jarFile,classpath);
		}
		catch(Exception e)
		{
			failed = true;
			System1.handleError(this,"init()",e);
		}
	}
	
	
	
	public boolean isLoaded() {return c!=null;}
	public boolean failed() {return failed;}
	
	public boolean isReady()
	{return !isLoaded() && !failed();}
}
