package gus05.manager.gus.endorf.layer3.tools;

public class Tools_encoding {

    /*
     * code points :
     * - 92 = \
     * - 11 = 
     * 
     */
    
    public static String encode(String input)
    {
        StringBuffer b = new StringBuffer();
        
        for(int i=0;i<input.length();i++)
        {
            int x = input.codePointAt(i);
            if(x<=8 || x==11 || x==92 || (x>=14&&x<=31) || x>=127)
            {
                String hexa = Integer.toHexString(x);
                while(hexa.length()<4) hexa="0"+hexa;
                b.append("\\u"+hexa);
            }
            else b.append(input.charAt(i));
        }
        return b.toString();
    }
    

    
    public static String decode(String input)
    {
        StringBuffer b = new StringBuffer();
        
        int state = 0;
        StringBuffer hexCode = new StringBuffer(4);
        
        for(int i=0;i<input.length();i++)
        {
            char c = input.charAt(i);
            switch(state)
            {
            case 0:
                if(c=='\\') state=1;
                else b.append(c);
                break;
            case 1:
                if(c=='u'){state=2;}
                else {b.append("\\"+c);state=0;}
                break;
            case 2:
                hexCode.append(c);
                if(hexCode.length()==4)
                {
                    int codePoint = Integer.parseInt(hexCode.toString(),16);
                    b.append(Character.toChars(codePoint));
                    hexCode = new StringBuffer(4);
                    state=0;
                }
            }
        }
        return b.toString();
    }
}
