
package gus05.manager.gus.endorf.layer4.internals1;



import gus05.framework.features.Give;
import gus05.framework.features.Provide;
import gus05.framework.tools.DefaultSupport;
import gus05.manager.gus.endorf.layer4.system2.System2;



public class AppLingSupport extends DefaultSupport implements Give, Provide {

    
    
    public void give(Object obj) throws Exception
    {
        String lang = (String)obj;
        if(lang.equals(System2.language()))return;
        
        System2.setLanguage(lang);
        languageChanged();
        System2.guiManager.afterLanguageChange();
    }

    
    public Object provide() throws Exception
    {return System2.language();}
    
    
    private void languageChanged()
    {send(this,"languageChanged()");}

}
